Subject: Re: [lojban] use and abuse of sets

From: "Jorge Llambias" <[email-masked]>
Date: Wed, 22 Mar 2000 10:50:17 PST

la kir cusku di'e

>{lu'i do le'e mlatu ce gerku cu simsa le ka prami simxu}

I am not sure what {mlatu ce gerku} means. Is it the
union of the set of cats and the set of dogs? Or is it
the (presumably empty) intersection? I suppose it has
to be the union. So we would have:

lo [pa] mlatu ce gerku du lo'i mlatu ja gerku

"The set union of the set of cats and
the set of dogs is the set of things that are
either cats or dogs (or both)."

>I do always prefer strong-typed programming languages, so it is very
>natural for me that set is similar to set in quality of being {simxu}.

I would have expressed it as:

do lo'e mlatu ku joi lo'e gerku cu simsa le ka prami simxu

co'o mi'e xorxes

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com